<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('db_komponenjawaban', function (Blueprint $table) {
            $table->id();
            $table->string('accnumber', 100)->nullable();
            $table->string('template', 100)->nullable();
            $table->string('komponen', 100)->nullable();
            $table->text('isidata')->nullable();
            $table->string('nobiorepository', 100)->nullable();
            $table->string('strain', 255)->nullable();
            $table->string('atcc', 255)->nullable();
            $table->string('sample', 255)->nullable();
            $table->date('tglpenyimpanan', 100)->nullable();
            $table->string('created_by', 255)->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('db_komponenjawaban');
    }
};
